﻿// This source code file was last time modified by Igor UA3DJY on 20190928
// All changes are shown in the patch file coming together with the full JTDX source code.

#include "about.h"

#include <QCoreApplication>
#include <QString>

#include "revision_utils.hpp"

#include "ui_about.h"
#include "moc_about.cpp"

CAboutDlg::CAboutDlg(QWidget *parent) :
  QDialog(parent),
  ui(new Ui::CAboutDlg)
{
  ui->setupUi(this);

  ui->labelTxt->setText ("<html><h2>"
                         + QCoreApplication::applicationName () + " v"
                         + QCoreApplication::applicationVersion () + "  HF software (JA2BQX-thw-A-NYP)" + "</h2>\n\n"
                         "It is modified WSJT-X software forked from WSJT-X r6462, <br>"
						 "FT8 code is forked from WSJT-X v1.8 and v2.0, <br>"
						 "FT4 code is forked from WSJT-X v2.1, <br>"
                         "&copy; 2001-2019 by Joe Taylor, K1JT.<br><br>"
                         "JTDX supports FT8, FT4, JT9, T10 and JT65A digital modes for HF <br>"
                         "amateur radio communication, focused on DXing <br>"
                         "and being shaped by community of DXers. <br>"
						 "&copy; 2016-2019 by Igor Chernikov UA3DJY and Arvo Jarve ES1JA. <br>"
                         "It is created with contributions from DK7UY, DO1IP, <br>"
						 "ES4RLH, G7OED, JA2BQX, JP1LRT, LU9DO, MM0HVU, N6ML, NL9222,  <br>"
						 "OE1MWW, R3BB, RK3AOL, RA4UDC, RW4O, R0JF, SP2L, SV1IYF, <br>"
                         "UA3ALE, US-E-12, VE3NEA, VK3AMA, VK6KXW, VK7YUM <br>"
                         "and LY3BG family: Vytas and Rimas Kudelis. <br><br>"
                         "Additional code changes for localization of Japanese by JG1APX. <br>"
                         "日本国内用に一部コードに修正を加えたバージョン<br>"
                         "JARL ＱＳＯパーティ用に一部コードに修正を加えたバージョン by JG1APX.<br><br>"
                         "&copy; 2001-2019 by Joe Taylor, K1JT, with grateful <br>"
                         "acknowledgment for contributions from AC6SL, AE4JY, <br>"
                         "DJ0OT, G3WDG, G4KLA, G4WJS, IV3NWV, IW3RAB, K3WYC, K9AN, <br>"
                         "KA6MAL, KA9Q, KB1ZMX, KD6EKQ, KI7MT, KK1D, ND0B, PY2SDR, <br>"
                         "VE1SKY, VK3ACF, VK4BDJ, VK7MO, W4TI, W4TV, and W9MDB.<br>"
						 "<br><br>"
						 "JTDX is licensed under the terms of Version3<br>"
						 "of the GNU General Public License(GPL)<br>"
                         "<a href=\"https://www.gnu.org/licenses/gpl-3.0.txt\">"
                         "https://www.gnu.org/licenses/gpl-3.0.txt</a>"
                         "<br><br>"
                         "Modified by JA2BQX , Collaborator : JG1APX  and  JR2QVA<br><br>"
                         "*** ＱＳＯパーティ　ＮＹＰモード時の注意点 ***<br>"
                         "オートシーケンスは不完全です。必要に応じて<br>"
                         "TX4,TX5 (RRR/RR73, 73)とEnableTXをクリックする必要が有ります。<br>"
                         "CQを出して呼ばれた時、最初にQSOを開始するには<br>"
                         "相手局のコールサインをダブルクリックする必要が有ります。<br>"
                         "受信時にCQ NYや CQ NYPを受信するとActive Bandの<br>"
                         "該当ラインをピンクで色付けしています。<br>"
                          "Op nameは５文字制限をしています。<br>"
                         "メイン画面のDirected CQを行うためにNYをタイプしてください。<br>"
                         "自動でNYPに変換されます。NYPになりましたらすでにNYPモードとなっています。<br>"
                         "時としてレポート交換が終了するとEnableTXがオフとなるケースがあるようです。<br>"
                         "その時にはボタンをクリックしてください。<br>"
                         "相手の NAME は LogQSO ウインドウに手入力の必要があります。");
}

CAboutDlg::~CAboutDlg()
{
}
